"""
获取TFT数据脚本
"""
from src.data_provider import DataQueryAPI

def main():
    """获取所有棋子和羁绊数据"""
    api = DataQueryAPI()
    
    # 获取所有数据
    jobs = api.get_all_jobs()
    races = api.get_all_races()
    chess = api.get_all_chess()
    
    print(f'职业数量: {len(jobs)}')
    print(f'特质数量: {len(races)}')
    print(f'棋子数量: {len(chess)}')
    
    print('\n职业列表:')
    for job in sorted(jobs, key=lambda x: x['name']):
        print(f'- {job["name"]}')
    
    print('\n特质列表:')
    for race in sorted(races, key=lambda x: x['name']):
        print(f'- {race["name"]}')
    
    print('\n棋子列表:')
    for c in sorted(chess, key=lambda x: x['displayName']):
        if c.get('price') != '0':  # 排除费用为0的召唤物
            print(f'- {c["displayName"]} ({c["price"]}费)')

if __name__ == "__main__":
    main() 